# Generated from fluent-mixin-config-placeholders-0.4.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name fluent-mixin-config-placeholders
Name: rubygem-%{gem_name}
Version: 0.4.0
Release: 1%{?dist}
Summary: Configuration syntax extension mixin for fluentd plugin
License: Apache-2.0
URL: https://github.com/tagomoris/fluent-mixin-config-placeholders
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildRequires: rubygem(bundler)
BuildRequires: rubygem(rake)
BuildRequires: rubygem(test-unit)
BuildRequires: rubygem(uuidtools)
BuildRequires: fluentd
BuildRequires: rubygem(json)
BuildRequires: rubygem(json_pure)
# for uuidtools - ip
BuildRequires: iproute
Requires: fluentd
Requires: rubygem(uuidtools)
BuildArch: noarch

%if 0%{?rhel} > 0
Provides: rubygem(%{gem_name}) = %{version}
%endif

%description
to add various placeholders for plugin configurations.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
ruby -Itest -e 'require "json"; Dir.glob "./test/**/test_*.rb", &method(:require)'
# this cannot find json/pure
#rake test
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%exclude %{gem_instdir}/fluent-mixin-config-placeholders.gemspec
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Wed Sep 13 2017 stran <steveqtran@gmail.com> - 0.4.0-1
- Initial package
